Subject: Re: bug#13369: 24.1; compile message parsing slow because of omake hack

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Jan 2013 20:47:09 -0500

>>> Thanks. Could you also give the numbers for
>>> compilation-error-regexp-alist containing only `gnu' (assuming that is
>>> the one that is relevant for your test case)?
>> These times are with a slightly different compilation buffer:
>> all   no omake   gnu only
>> 32.7     3.4        0.3      standard code
>> 6.8     3.4        0.3      repaired regexp (escaped ^)
>> 3.4     3.4        0.3      COND expression removed
> OK, thank you. So having fixed the omake ^ issue, basically to me it
> just seems to be the case that the more entries are in
> compilation-error-regexp-alist, the slower things get.
> Maybe we should encourage people to prune it to only the entries they
> use, or maybe some less common elements should not be there by default.

Yes, every entry costs time, which is why I've been resisting adding
more entries and would rather push the problem upstream to convince the
tools's authors to stick to the standard GNU message format.

I think compile.el would benefit from a different regex engine where we
could do a lex-style union of all regexp into a single automaton.

        Stefan